*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

img, video {
    width: 100%;
}

.head {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 12px 30px;
    font-size: 1.3rem;
}

.head .social-icons i {
    color: #000;
}

nav {
    width: 100%;
    height: 100px;
    padding: 15px 80px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    position: sticky;
    top: 0;
    left: 0;
    box-shadow: 0 0 10px 4px #de1a1a;
    background: linear-gradient(90deg, #be1f1f, rgb(5, 5, 103));
    z-index: 99;
}

nav img{
    width: 120px;
    height: auto;
}

nav button {
    font-size: 1.1rem;
    padding: 9px 25px;
    background: #de1a1a;
    color: #fff;
    border: none;
    cursor: pointer;
    border-radius: 25px;
    box-shadow: 0 0 15px 5px #e5e50a;
    transition: .5s ease;
}

nav button:hover {
    background: #fff;
    color: #de1a1a;
    border:  2px solid #de1a1a;
}

.header img {
    width: 100%;
    height: auto;
}

.stories {
    display: flex;
    background: linear-gradient(90deg, #be1f1f, #0b5989);
    gap: 15px;
    overflow-x: auto;
    scroll-behavior: smooth;
    scrollbar-width: 100%;
    padding: 20px 0;
}

.stories::-webkit-scrollbar{
    display: none;
}

.stories-type {
    flex-wrap: nowrap;
    word-break: normal;
    display: flex;
    align-items: center;
    gap: 15px;
    width: max-content;
    animation: spin 20s linear infinite;
    color: #fff;
    font-size: 1.3rem;
}

.stories-type a {
    text-decoration: none;
    color: #fff;
    white-space: nowrap;
}

@keyframes spin {
    from{transform: translateX(0%);}
    to{transform: translateX(-100%);}
}

.stories:hover .stories-type{
    animation-play-state: paused;
}

h1 {
    text-align: center;
    margin-top: 20px;
    font-size: clamp(1.7rem, 5vw, 3rem);
}

.img-blog, .video-blog {
    margin-top: 20px;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 30px;
    flex-wrap: wrap;
}

.blog {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 30px;
    margin: 30px 0;
    flex-wrap: wrap;
}

.card {
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    max-width: 300px;
    width: 100%;
    border: 1px solid #ccc;
    position: relative; 
    box-shadow: 0 0 15px 5px #de1a1a;
    border-radius: 12px;
}

.card img, .card video {
    width: 100%;
    height: 180px;
    /* object-fit: cover; */
    border-top-left-radius: 12px;
    border-top-right-radius: 12px;
}

.card .date {
    display: flex;
    justify-content: space-between;
    width: 100%;
    padding: 15px 12px;
    padding-bottom: 0;
    color: #de1a1a;
    font-size: 1.1rem;
}

h4 {
    /* color: coral; */
    font-size: 1.3rem;
}

.card a {
    text-decoration: none;
    background: #0b5989;
    color: #fff;
    display: inline-block;
    width: fit-content;
    font-size: 1.1rem;
    padding: 9px 15px;
    border-radius: 6px;
}

.card .content {
    display: flex;
    flex-direction: column;
    gap: 15px;
    padding: 20px 12px;
}

.pagination {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 12px;
    width: 100%;
    margin: 30px 0;
}

#prev, #next {
    padding: 4px 15px;
    background: linear-gradient(90deg, #be1f1f, #0b5989);
    border: none;
    color: #fff;
    border-radius: 25px;
}

/* article page styles  */

.main-blog-container {
    display: flex;
    justify-content: start;
    align-items: start;
    gap: 20px;
    margin: 30px 12px;
}

.top-blog {
    width: 330px;
    display: flex;
    flex-direction: column;
    justify-content: start;
    align-items: center;
    gap: 20px;
}

.article {
    flex: 1;
    display: flex;
    flex-direction: column;
    align-items: start;
    justify-content: center;
    gap: 30px;
}

.article .art-img {
    max-width: 700px;
    height: auto;
    margin: auto;
}

.article video {
    max-width: 400px;
    height: auto;
    margin: auto;
}

.article p {
    margin-bottom: 20px;
    line-height: 1.7;
}

.creater {
    display: flex;
    justify-content: start;
    align-items: center;
    gap: 20px;
    font-size: 1.2rem;
    color: #000;
    text-align: left;
}

.creater img {
    width: 80px;
    height: 80px;
    object-fit: cover;
    border-radius: 50%;
}

.date h5 img {
    width: 25px;
    height: 25px;
    object-fit: cover;
    border-radius: 50%;
}

h5 {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 6px;
}

footer {
    display: flex;
    flex-direction: column;
    gap: 20px;
    padding: 50px 20px;
    background: linear-gradient(90deg, #be1f1f, rgb(5, 5, 103));
    color: #fff;
    text-align: center;
}



@media (max-width: 561px) {

    nav {
        padding: 9px;
    }

    .main-blog-container {
        display: flex;
        flex-direction: column;
        gap: 30px;
    }

    .top-blog {
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
    }

    .article {
        margin: 9px;
    }

    footer {
        padding: 50px 12px;
    }
    
}
